Issue #8652 has been updated by shugo (Shugo Maeda).


naruse (Yui NARUSE) wrote:
> > rb_secure(4)???$SAFE???4篁ヤ?????祉?????????????????с??????$SAFE???4篁ヤ?????祉????????????????????????SecurityError?????榊?????????????????с?????
> > # ???????????c?宴????????違??rb_secure(4)???if $SAFE >= 4; raise SecurityError; end????????????潟?с?????
> > trunk??с??$SAFE???4篁ヤ?????祉???????с?????????с??rb_secure(4)??у??茵????????紊??????榊???????????????????????с????????篏?????????????????????????с??????????????
> > 
> > rb_secure(4)???罧???c????????????????????????若????若?????????????????????????у??絎潟?????????????障?????с????泣?若???????若????c??≦宍???ゃ?????????????????????????篋??????с?????????潟?潟????ゃ????若?????????鴻?????????????????????障?????
> 
> ?????????篁違?????????羞桁???????????障????????

篋?茹c?с?????

> * rb_set_safe_level() ?????潟?潟????ゃ????????若????????????障??
> * rb_secure(4) ???潟?潟????ゃ?????????若??????? ??? 篋?絎?筝?篏???????????
> ?????????鴻????????????荅宴?с??????
> 
> ?????若?????????????????c?? rb_secure(4) ???潟?潟????ゃ??? warning 羇障?????????

???????茘??????????????絋ュ??????????????障?????
??????с???????????? > ?????????????
----------------------------------------
Bug #8652: gem ??? rb_secure(4) ???篏睡??????????????????若????
https://bugs.ruby-lang.org/issues/8652#change-40562

Author: hsbt (Hiroshi SHIBATA)
Status: Assigned
Priority: High
Assignee: nobu (Nobuyoshi Nakada)
Category: core
Target version: current: 2.1.0
ruby -v: ruby 2.1.0dev (2013-07-18 trunk 42031) [x86_64-linux]
Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN


linux ??? ruby-fcgi(https://github.com/saks/ruby-fcgi) ??????? rb_secure(4) ???篏帥?c?????? gem ??? trunk ??с?潟?潟????ゃ???????????紊????????????障????障?????

$ make
compiling fcgi.c

(snip)

fcgi.c:231:3: ?????: call to ???ruby$safe_level$4??? declared with attribute error: $SAFE=4 is obsolete
fcgi.c: ??∽?? ???fcgi_stream_putc??? ???:
fcgi.c:219:3: ?????: call to ???ruby$safe_level$4??? declared with attribute error: $SAFE=4 is obsolete
make: *** [fcgi.o] ????? 1

Mac OS X 10.8.4 ???????荐??????若??榊???????障????????

????若????榊???????? linux ??? gcc ??? gcc ?????若?吾?с?? 4.6.4 (Funtoo 4.6.4) ??с?????


-- 
http://bugs.ruby-lang.org/